package rocketBugs;
/* 
	ImplicitPlayer.java ... the implicit player object to store such useful data as ambient 
	concentration, diffusing status, diffusibility, name, etc
*/

/*  <RocketBugs - for the simulation of actin-based Listeria motility>
    Copyright (C) <2007>  <Jonathan B. Alberts>

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

public class ImplicitPlayer {
	String name;					// name of this implicit player
	int idNum;					// integer value associated with this implicit player
	double ambientConc;			// value for ambient concentration
	double diffusivity;				// diffusivity... like it sounds
	boolean diffuser;				// flag to state whether or not this thing diffuses
	
	public ImplicitPlayer (int idNum, double ambientConc, double diffusivity, boolean diffuser) {
		this.idNum = idNum;
		this.ambientConc = ambientConc;
		this.diffusivity = diffusivity;
		this.diffuser = diffuser;
	}
	
	public ImplicitPlayer (int idNum) {
		this.idNum = idNum;
	}
}
	